/*
*/

#include "backend.h"
//#include "videowidget.h"
#include <kgenericfactory.h>

typedef KGenericFactory<Phonon::Gst::UiBackend, Phonon::Gst::UiBackend> GstUiBackendFactory;
K_EXPORT_COMPONENT_FACTORY( phonon_gstui, GstUiBackendFactory( "gstuibackend" ) )

namespace Phonon
{
namespace Gst 
{

UiBackend::UiBackend( QObject* parent, const QStringList& )
	: QObject( parent )
{
}

UiBackend::~UiBackend()
{
}

QObject* UiBackend::createVideoWidget( QWidget* parent )
{
	//return new Gst::VideoWidget( parent );
	return (NULL);
}

}}

#include "backend.moc"
// vim: sw=4 ts=4
